package com.sa.ibiz.demo.demo.rest;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.sa.ibiz.demo.demo.domain.UserRoleData;
import com.sa.ibiz.demo.demo.service.UserRoleDataService;
import com.sa.ibiz.demo.demo.service.dto.UserRoleDataSearchFilter;
import com.sa.ibiz.demo.ibizutil.errors.BadRequestAlertException;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.ResponseEntity;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;
import java.math.BigInteger;
import java.util.List;

@RestController
@RequestMapping("/demo/userroledata")
public class UserRoleDataResource
{
	@Autowired
	private UserRoleDataService service;


	@PostMapping(value = "/remove")
	public ResponseEntity<UserRoleData> remove(@Validated @RequestBody UserRoleData data){
		boolean bRt=service.remove(data);
		if(!bRt)
			throw new BadRequestAlertException("数据对象能力[remove]操作发生错误","UserRoleData",data.getUserroledataid().toString());
		return ResponseEntity.ok().body(data);
	}
	@PostMapping(value = "/update")
	public ResponseEntity<UserRoleData> update(@Validated @RequestBody UserRoleData data){
		boolean bRt=service.update(data);
		if(!bRt)
			throw new BadRequestAlertException("数据对象能力[update]操作发生错误","UserRoleData",data.getUserroledataid().toString());
		return ResponseEntity.ok().body(data);
	}
	@PostMapping(value = "/getDraft")
	public ResponseEntity<UserRoleData> getDraft(@Validated @RequestBody UserRoleData data){
		boolean bRt=service.getDraft(data);
		if(!bRt)
			throw new BadRequestAlertException("数据对象能力[getDraft]操作发生错误","UserRoleData","");
		return ResponseEntity.ok().body(data);
	}
	@GetMapping(value = "/{id}")
	public ResponseEntity<UserRoleData> get(@Validated @PathVariable String id){
		UserRoleData data=new UserRoleData();
		data.setUserroledataid(id);;
		data=service.get(data);
		if(data==null)
			throw new BadRequestAlertException("数据对象能力[get]操作发生错误","UserRoleData",id.toString());
		return ResponseEntity.ok().body(data);
	}
	@PostMapping(value = "/create")
	public ResponseEntity<UserRoleData> create(@Validated @RequestBody UserRoleData data){
		boolean bRt=service.create(data);
		if(!bRt)
			throw new BadRequestAlertException("数据对象能力[create]操作发生错误","UserRoleData",data.getUserroledataid().toString());
		return ResponseEntity.ok().body(data);
	}
	@PostMapping(value = "/checkKey")
	public ResponseEntity<UserRoleData> checkKey(@Validated @RequestBody UserRoleData data){
		boolean bRt=service.checkKey(data);
		if(!bRt)
			throw new BadRequestAlertException("数据对象能力[checkKey]操作发生错误","UserRoleData",data.getUserroledataid().toString());
		return ResponseEntity.ok().body(data);
	}
    @PostMapping(value="/searchdefault")
	public ResponseEntity<Page<UserRoleData>> searchDefaultPage(@Validated @RequestBody UserRoleDataSearchFilter filter){
		Page<UserRoleData> searchResult = service.searchDefault(filter);
		return ResponseEntity.ok().body(searchResult);
	}

	@PostMapping(value="/listdefault")
	public ResponseEntity<List<UserRoleData>> listDefault(@Validated @RequestBody UserRoleDataSearchFilter filter){
		List<UserRoleData> searchResult = service.listDefault(filter);
		return ResponseEntity.ok().body(searchResult);
	}
}
